import sys, obs
__syslog = obs.system_log('RECOVERY')
def __exception_handling(name, err):
    __syslog.error('{}: {}\r'.format(type(err).__name__, err))
    sys.print_exception(err, __syslog)
try:
    if obs.sweep_reset():
        import omc048_remote
        main_application = omc048_remote.remote_main()
        main_application.run()
    else:
        import omc048_main
        main_application = omc048_main.application_main()
        main_application.run()
except Exception as exception:
    print(exception.__class__.__name__ + ": " + "Entering recovery mode...")
    print('{}: {}'.format(type(exception).__name__, exception, ))
    __exception_handling(exception.__class__.__name__, exception)
    import omc048_recovery
    main_application = omc048_recovery.recovery_main()
    main_application.run()


